import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
//@ts-nocheck
import * as _3 from "./app/runtime/v1alpha1/module";
import * as _4 from "./app/v1alpha1/config";
import * as _5 from "./app/v1alpha1/module";
import * as _6 from "./app/v1alpha1/query";
import * as _7 from "./auth/module/v1/module";
import * as _8 from "./auth/v1beta1/auth";
import * as _9 from "./auth/v1beta1/genesis";
import * as _10 from "./auth/v1beta1/query";
import * as _11 from "./auth/v1beta1/tx";
import * as _12 from "./authz/module/v1/module";
import * as _13 from "./authz/v1beta1/authz";
import * as _14 from "./authz/v1beta1/event";
import * as _15 from "./authz/v1beta1/genesis";
import * as _16 from "./authz/v1beta1/query";
import * as _17 from "./authz/v1beta1/tx";
import * as _18 from "./autocli/v1/options";
import * as _19 from "./autocli/v1/query";
import * as _20 from "./bank/module/v1/module";
import * as _21 from "./bank/v1beta1/authz";
import * as _22 from "./bank/v1beta1/bank";
import * as _23 from "./bank/v1beta1/genesis";
import * as _24 from "./bank/v1beta1/query";
import * as _25 from "./bank/v1beta1/tx";
import * as _26 from "./base/abci/v1beta1/abci";
import * as _27 from "./base/node/v1beta1/query";
import * as _28 from "./base/query/v1beta1/pagination";
import * as _29 from "./base/reflection/v1beta1/reflection";
import * as _30 from "./base/reflection/v2alpha1/reflection";
import * as _31 from "./base/tendermint/v1beta1/query";
import * as _32 from "./base/tendermint/v1beta1/types";
import * as _33 from "./base/v1beta1/coin";
import * as _34 from "./circuit/module/v1/module";
import * as _35 from "./circuit/v1/query";
import * as _36 from "./circuit/v1/tx";
import * as _37 from "./circuit/v1/types";
import * as _38 from "./consensus/module/v1/module";
import * as _39 from "./consensus/v1/query";
import * as _40 from "./consensus/v1/tx";
import * as _41 from "./crisis/module/v1/module";
import * as _42 from "./crisis/v1beta1/genesis";
import * as _43 from "./crisis/v1beta1/tx";
import * as _44 from "./crypto/ed25519/keys";
import * as _45 from "./crypto/hd/v1/hd";
import * as _46 from "./crypto/keyring/v1/record";
import * as _47 from "./crypto/multisig/keys";
import * as _48 from "./crypto/secp256k1/keys";
import * as _49 from "./crypto/secp256r1/keys";
import * as _50 from "./distribution/module/v1/module";
import * as _51 from "./distribution/v1beta1/distribution";
import * as _52 from "./distribution/v1beta1/genesis";
import * as _53 from "./distribution/v1beta1/query";
import * as _54 from "./distribution/v1beta1/tx";
import * as _55 from "./evidence/module/v1/module";
import * as _56 from "./evidence/v1beta1/evidence";
import * as _57 from "./evidence/v1beta1/genesis";
import * as _58 from "./evidence/v1beta1/query";
import * as _59 from "./evidence/v1beta1/tx";
import * as _60 from "./feegrant/module/v1/module";
import * as _61 from "./feegrant/v1beta1/feegrant";
import * as _62 from "./feegrant/v1beta1/genesis";
import * as _63 from "./feegrant/v1beta1/query";
import * as _64 from "./feegrant/v1beta1/tx";
import * as _65 from "./genutil/module/v1/module";
import * as _66 from "./genutil/v1beta1/genesis";
import * as _67 from "./gov/module/v1/module";
import * as _68 from "./gov/v1/genesis";
import * as _69 from "./gov/v1/gov";
import * as _70 from "./gov/v1/query";
import * as _71 from "./gov/v1/tx";
import * as _72 from "./gov/v1beta1/genesis";
import * as _73 from "./gov/v1beta1/gov";
import * as _74 from "./gov/v1beta1/query";
import * as _75 from "./gov/v1beta1/tx";
import * as _76 from "./group/module/v1/module";
import * as _77 from "./group/v1/events";
import * as _78 from "./group/v1/genesis";
import * as _79 from "./group/v1/query";
import * as _80 from "./group/v1/tx";
import * as _81 from "./group/v1/types";
import * as _82 from "./ics23/v1/proofs";
import * as _83 from "./mint/module/v1/module";
import * as _84 from "./mint/v1beta1/genesis";
import * as _85 from "./mint/v1beta1/mint";
import * as _86 from "./mint/v1beta1/query";
import * as _87 from "./mint/v1beta1/tx";
import * as _88 from "./msg/textual/v1/textual";
import * as _89 from "./msg/v1/msg";
import * as _90 from "./nft/module/v1/module";
import * as _91 from "./nft/v1beta1/event";
import * as _92 from "./nft/v1beta1/genesis";
import * as _93 from "./nft/v1beta1/nft";
import * as _94 from "./nft/v1beta1/query";
import * as _95 from "./nft/v1beta1/tx";
import * as _96 from "./orm/module/v1alpha1/module";
import * as _97 from "./orm/query/v1alpha1/query";
import * as _98 from "./orm/v1/orm";
import * as _99 from "./orm/v1alpha1/schema";
import * as _100 from "./params/module/v1/module";
import * as _101 from "./params/v1beta1/params";
import * as _102 from "./params/v1beta1/query";
import * as _103 from "./query/v1/query";
import * as _104 from "./reflection/v1/reflection";
import * as _105 from "./slashing/module/v1/module";
import * as _106 from "./slashing/v1beta1/genesis";
import * as _107 from "./slashing/v1beta1/query";
import * as _108 from "./slashing/v1beta1/slashing";
import * as _109 from "./slashing/v1beta1/tx";
import * as _110 from "./staking/module/v1/module";
import * as _111 from "./staking/v1beta1/authz";
import * as _112 from "./staking/v1beta1/genesis";
import * as _113 from "./staking/v1beta1/query";
import * as _114 from "./staking/v1beta1/staking";
import * as _115 from "./staking/v1beta1/tx";
import * as _116 from "./store/internal/kv/v1beta1/kv";
import * as _117 from "./store/snapshots/v1/snapshot";
import * as _118 from "./store/streaming/abci/grpc";
import * as _119 from "./store/v1beta1/commit_info";
import * as _120 from "./store/v1beta1/listening";
import * as _121 from "./tx/config/v1/config";
import * as _122 from "./tx/signing/v1beta1/signing";
import * as _123 from "./tx/v1beta1/service";
import * as _124 from "./tx/v1beta1/tx";
import * as _125 from "./upgrade/module/v1/module";
import * as _126 from "./upgrade/v1beta1/query";
import * as _127 from "./upgrade/v1beta1/tx";
import * as _128 from "./upgrade/v1beta1/upgrade";
import * as _129 from "./vesting/module/v1/module";
import * as _130 from "./vesting/v1beta1/tx";
import * as _131 from "./vesting/v1beta1/vesting";
import * as _253 from "./app/v1alpha1/query.rpc.Query";
import * as _254 from "./auth/v1beta1/query.rpc.Query";
import * as _255 from "./authz/v1beta1/query.rpc.Query";
import * as _256 from "./autocli/v1/query.rpc.Query";
import * as _257 from "./bank/v1beta1/query.rpc.Query";
import * as _258 from "./base/node/v1beta1/query.rpc.Service";
import * as _259 from "./base/tendermint/v1beta1/query.rpc.Service";
import * as _260 from "./circuit/v1/query.rpc.Query";
import * as _261 from "./consensus/v1/query.rpc.Query";
import * as _262 from "./distribution/v1beta1/query.rpc.Query";
import * as _263 from "./evidence/v1beta1/query.rpc.Query";
import * as _264 from "./feegrant/v1beta1/query.rpc.Query";
import * as _265 from "./gov/v1/query.rpc.Query";
import * as _266 from "./gov/v1beta1/query.rpc.Query";
import * as _267 from "./group/v1/query.rpc.Query";
import * as _268 from "./mint/v1beta1/query.rpc.Query";
import * as _269 from "./nft/v1beta1/query.rpc.Query";
import * as _270 from "./orm/query/v1alpha1/query.rpc.Query";
import * as _271 from "./params/v1beta1/query.rpc.Query";
import * as _272 from "./slashing/v1beta1/query.rpc.Query";
import * as _273 from "./staking/v1beta1/query.rpc.Query";
import * as _274 from "./tx/v1beta1/service.rpc.Service";
import * as _275 from "./upgrade/v1beta1/query.rpc.Query";
import * as _276 from "./auth/v1beta1/tx.rpc.msg";
import * as _277 from "./authz/v1beta1/tx.rpc.msg";
import * as _278 from "./bank/v1beta1/tx.rpc.msg";
import * as _279 from "./circuit/v1/tx.rpc.msg";
import * as _280 from "./consensus/v1/tx.rpc.msg";
import * as _281 from "./crisis/v1beta1/tx.rpc.msg";
import * as _282 from "./distribution/v1beta1/tx.rpc.msg";
import * as _283 from "./evidence/v1beta1/tx.rpc.msg";
import * as _284 from "./feegrant/v1beta1/tx.rpc.msg";
import * as _285 from "./gov/v1/tx.rpc.msg";
import * as _286 from "./gov/v1beta1/tx.rpc.msg";
import * as _287 from "./group/v1/tx.rpc.msg";
import * as _288 from "./mint/v1beta1/tx.rpc.msg";
import * as _289 from "./nft/v1beta1/tx.rpc.msg";
import * as _290 from "./slashing/v1beta1/tx.rpc.msg";
import * as _291 from "./staking/v1beta1/tx.rpc.msg";
import * as _292 from "./upgrade/v1beta1/tx.rpc.msg";
import * as _293 from "./vesting/v1beta1/tx.rpc.msg";
import * as _328 from "./rpc.query";
import * as _329 from "./rpc.tx";
export let cosmos;
(function (_cosmos) {
  let app;
  (function (_app) {
    let runtime;
    (function (_runtime) {
      const v1alpha1 = _runtime.v1alpha1 = _objectSpread({}, _3);
    })(runtime || (runtime = _app.runtime || (_app.runtime = {})));
    const v1alpha1 = _app.v1alpha1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _4), _5), _6), _253);
  })(app || (app = _cosmos.app || (_cosmos.app = {})));
  let auth;
  (function (_auth) {
    let module;
    (function (_module) {
      const v1 = _module.v1 = _objectSpread({}, _7);
    })(module || (module = _auth.module || (_auth.module = {})));
    const v1beta1 = _auth.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _8), _9), _10), _11), _254), _276);
  })(auth || (auth = _cosmos.auth || (_cosmos.auth = {})));
  let authz;
  (function (_authz) {
    let module;
    (function (_module2) {
      const v1 = _module2.v1 = _objectSpread({}, _12);
    })(module || (module = _authz.module || (_authz.module = {})));
    const v1beta1 = _authz.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _13), _14), _15), _16), _17), _255), _277);
  })(authz || (authz = _cosmos.authz || (_cosmos.authz = {})));
  let autocli;
  (function (_autocli) {
    const v1 = _autocli.v1 = _objectSpread(_objectSpread(_objectSpread({}, _18), _19), _256);
  })(autocli || (autocli = _cosmos.autocli || (_cosmos.autocli = {})));
  let bank;
  (function (_bank) {
    let module;
    (function (_module3) {
      const v1 = _module3.v1 = _objectSpread({}, _20);
    })(module || (module = _bank.module || (_bank.module = {})));
    const v1beta1 = _bank.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _21), _22), _23), _24), _25), _257), _278);
  })(bank || (bank = _cosmos.bank || (_cosmos.bank = {})));
  let base;
  (function (_base) {
    let abci;
    (function (_abci) {
      const v1beta1 = _abci.v1beta1 = _objectSpread({}, _26);
    })(abci || (abci = _base.abci || (_base.abci = {})));
    let node;
    (function (_node) {
      const v1beta1 = _node.v1beta1 = _objectSpread(_objectSpread({}, _27), _258);
    })(node || (node = _base.node || (_base.node = {})));
    let query;
    (function (_query) {
      const v1beta1 = _query.v1beta1 = _objectSpread({}, _28);
    })(query || (query = _base.query || (_base.query = {})));
    let reflection;
    (function (_reflection) {
      const v1beta1 = _reflection.v1beta1 = _objectSpread({}, _29);
      const v2alpha1 = _reflection.v2alpha1 = _objectSpread({}, _30);
    })(reflection || (reflection = _base.reflection || (_base.reflection = {})));
    let tendermint;
    (function (_tendermint) {
      const v1beta1 = _tendermint.v1beta1 = _objectSpread(_objectSpread(_objectSpread({}, _31), _32), _259);
    })(tendermint || (tendermint = _base.tendermint || (_base.tendermint = {})));
    const v1beta1 = _base.v1beta1 = _objectSpread({}, _33);
  })(base || (base = _cosmos.base || (_cosmos.base = {})));
  let circuit;
  (function (_circuit) {
    let module;
    (function (_module4) {
      const v1 = _module4.v1 = _objectSpread({}, _34);
    })(module || (module = _circuit.module || (_circuit.module = {})));
    const v1 = _circuit.v1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _35), _36), _37), _260), _279);
  })(circuit || (circuit = _cosmos.circuit || (_cosmos.circuit = {})));
  let consensus;
  (function (_consensus) {
    let module;
    (function (_module5) {
      const v1 = _module5.v1 = _objectSpread({}, _38);
    })(module || (module = _consensus.module || (_consensus.module = {})));
    const v1 = _consensus.v1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _39), _40), _261), _280);
  })(consensus || (consensus = _cosmos.consensus || (_cosmos.consensus = {})));
  let crisis;
  (function (_crisis) {
    let module;
    (function (_module6) {
      const v1 = _module6.v1 = _objectSpread({}, _41);
    })(module || (module = _crisis.module || (_crisis.module = {})));
    const v1beta1 = _crisis.v1beta1 = _objectSpread(_objectSpread(_objectSpread({}, _42), _43), _281);
  })(crisis || (crisis = _cosmos.crisis || (_cosmos.crisis = {})));
  let crypto;
  (function (_crypto) {
    const ed25519 = _crypto.ed25519 = _objectSpread({}, _44);
    let hd;
    (function (_hd) {
      const v1 = _hd.v1 = _objectSpread({}, _45);
    })(hd || (hd = _crypto.hd || (_crypto.hd = {})));
    let keyring;
    (function (_keyring) {
      const v1 = _keyring.v1 = _objectSpread({}, _46);
    })(keyring || (keyring = _crypto.keyring || (_crypto.keyring = {})));
    const multisig = _crypto.multisig = _objectSpread({}, _47);
    const secp256k1 = _crypto.secp256k1 = _objectSpread({}, _48);
    const secp256r1 = _crypto.secp256r1 = _objectSpread({}, _49);
  })(crypto || (crypto = _cosmos.crypto || (_cosmos.crypto = {})));
  let distribution;
  (function (_distribution) {
    let module;
    (function (_module7) {
      const v1 = _module7.v1 = _objectSpread({}, _50);
    })(module || (module = _distribution.module || (_distribution.module = {})));
    const v1beta1 = _distribution.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _51), _52), _53), _54), _262), _282);
  })(distribution || (distribution = _cosmos.distribution || (_cosmos.distribution = {})));
  let evidence;
  (function (_evidence) {
    let module;
    (function (_module8) {
      const v1 = _module8.v1 = _objectSpread({}, _55);
    })(module || (module = _evidence.module || (_evidence.module = {})));
    const v1beta1 = _evidence.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _56), _57), _58), _59), _263), _283);
  })(evidence || (evidence = _cosmos.evidence || (_cosmos.evidence = {})));
  let feegrant;
  (function (_feegrant) {
    let module;
    (function (_module9) {
      const v1 = _module9.v1 = _objectSpread({}, _60);
    })(module || (module = _feegrant.module || (_feegrant.module = {})));
    const v1beta1 = _feegrant.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _61), _62), _63), _64), _264), _284);
  })(feegrant || (feegrant = _cosmos.feegrant || (_cosmos.feegrant = {})));
  let genutil;
  (function (_genutil) {
    let module;
    (function (_module0) {
      const v1 = _module0.v1 = _objectSpread({}, _65);
    })(module || (module = _genutil.module || (_genutil.module = {})));
    const v1beta1 = _genutil.v1beta1 = _objectSpread({}, _66);
  })(genutil || (genutil = _cosmos.genutil || (_cosmos.genutil = {})));
  let gov;
  (function (_gov) {
    let module;
    (function (_module1) {
      const v1 = _module1.v1 = _objectSpread({}, _67);
    })(module || (module = _gov.module || (_gov.module = {})));
    const v1 = _gov.v1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _68), _69), _70), _71), _265), _285);
    const v1beta1 = _gov.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _72), _73), _74), _75), _266), _286);
  })(gov || (gov = _cosmos.gov || (_cosmos.gov = {})));
  let group;
  (function (_group) {
    let module;
    (function (_module10) {
      const v1 = _module10.v1 = _objectSpread({}, _76);
    })(module || (module = _group.module || (_group.module = {})));
    const v1 = _group.v1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _77), _78), _79), _80), _81), _267), _287);
  })(group || (group = _cosmos.group || (_cosmos.group = {})));
  let ics23;
  (function (_ics) {
    const v1 = _ics.v1 = _objectSpread({}, _82);
  })(ics23 || (ics23 = _cosmos.ics23 || (_cosmos.ics23 = {})));
  let mint;
  (function (_mint) {
    let module;
    (function (_module11) {
      const v1 = _module11.v1 = _objectSpread({}, _83);
    })(module || (module = _mint.module || (_mint.module = {})));
    const v1beta1 = _mint.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _84), _85), _86), _87), _268), _288);
  })(mint || (mint = _cosmos.mint || (_cosmos.mint = {})));
  let msg;
  (function (_msg) {
    let textual;
    (function (_textual) {
      const v1 = _textual.v1 = _objectSpread({}, _88);
    })(textual || (textual = _msg.textual || (_msg.textual = {})));
    const v1 = _msg.v1 = _objectSpread({}, _89);
  })(msg || (msg = _cosmos.msg || (_cosmos.msg = {})));
  let nft;
  (function (_nft) {
    let module;
    (function (_module12) {
      const v1 = _module12.v1 = _objectSpread({}, _90);
    })(module || (module = _nft.module || (_nft.module = {})));
    const v1beta1 = _nft.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _91), _92), _93), _94), _95), _269), _289);
  })(nft || (nft = _cosmos.nft || (_cosmos.nft = {})));
  let orm;
  (function (_orm) {
    let module;
    (function (_module13) {
      const v1alpha1 = _module13.v1alpha1 = _objectSpread({}, _96);
    })(module || (module = _orm.module || (_orm.module = {})));
    let query;
    (function (_query2) {
      const v1alpha1 = _query2.v1alpha1 = _objectSpread(_objectSpread({}, _97), _270);
    })(query || (query = _orm.query || (_orm.query = {})));
    const v1 = _orm.v1 = _objectSpread({}, _98);
    const v1alpha1 = _orm.v1alpha1 = _objectSpread({}, _99);
  })(orm || (orm = _cosmos.orm || (_cosmos.orm = {})));
  let params;
  (function (_params) {
    let module;
    (function (_module14) {
      const v1 = _module14.v1 = _objectSpread({}, _100);
    })(module || (module = _params.module || (_params.module = {})));
    const v1beta1 = _params.v1beta1 = _objectSpread(_objectSpread(_objectSpread({}, _101), _102), _271);
  })(params || (params = _cosmos.params || (_cosmos.params = {})));
  let query;
  (function (_query3) {
    const v1 = _query3.v1 = _objectSpread({}, _103);
  })(query || (query = _cosmos.query || (_cosmos.query = {})));
  let reflection;
  (function (_reflection2) {
    const v1 = _reflection2.v1 = _objectSpread({}, _104);
  })(reflection || (reflection = _cosmos.reflection || (_cosmos.reflection = {})));
  let slashing;
  (function (_slashing) {
    let module;
    (function (_module15) {
      const v1 = _module15.v1 = _objectSpread({}, _105);
    })(module || (module = _slashing.module || (_slashing.module = {})));
    const v1beta1 = _slashing.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _106), _107), _108), _109), _272), _290);
  })(slashing || (slashing = _cosmos.slashing || (_cosmos.slashing = {})));
  let staking;
  (function (_staking) {
    let module;
    (function (_module16) {
      const v1 = _module16.v1 = _objectSpread({}, _110);
    })(module || (module = _staking.module || (_staking.module = {})));
    const v1beta1 = _staking.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _111), _112), _113), _114), _115), _273), _291);
  })(staking || (staking = _cosmos.staking || (_cosmos.staking = {})));
  let store;
  (function (_store) {
    let internal;
    (function (_internal) {
      let kv;
      (function (_kv) {
        const v1beta1 = _kv.v1beta1 = _objectSpread({}, _116);
      })(kv || (kv = _internal.kv || (_internal.kv = {})));
    })(internal || (internal = _store.internal || (_store.internal = {})));
    let snapshots;
    (function (_snapshots) {
      const v1 = _snapshots.v1 = _objectSpread({}, _117);
    })(snapshots || (snapshots = _store.snapshots || (_store.snapshots = {})));
    let streaming;
    (function (_streaming) {
      const abci = _streaming.abci = _objectSpread({}, _118);
    })(streaming || (streaming = _store.streaming || (_store.streaming = {})));
    const v1beta1 = _store.v1beta1 = _objectSpread(_objectSpread({}, _119), _120);
  })(store || (store = _cosmos.store || (_cosmos.store = {})));
  let tx;
  (function (_tx) {
    let config;
    (function (_config) {
      const v1 = _config.v1 = _objectSpread({}, _121);
    })(config || (config = _tx.config || (_tx.config = {})));
    let signing;
    (function (_signing) {
      const v1beta1 = _signing.v1beta1 = _objectSpread({}, _122);
    })(signing || (signing = _tx.signing || (_tx.signing = {})));
    const v1beta1 = _tx.v1beta1 = _objectSpread(_objectSpread(_objectSpread({}, _123), _124), _274);
  })(tx || (tx = _cosmos.tx || (_cosmos.tx = {})));
  let upgrade;
  (function (_upgrade) {
    let module;
    (function (_module17) {
      const v1 = _module17.v1 = _objectSpread({}, _125);
    })(module || (module = _upgrade.module || (_upgrade.module = {})));
    const v1beta1 = _upgrade.v1beta1 = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, _126), _127), _128), _275), _292);
  })(upgrade || (upgrade = _cosmos.upgrade || (_cosmos.upgrade = {})));
  let vesting;
  (function (_vesting) {
    let module;
    (function (_module18) {
      const v1 = _module18.v1 = _objectSpread({}, _129);
    })(module || (module = _vesting.module || (_vesting.module = {})));
    const v1beta1 = _vesting.v1beta1 = _objectSpread(_objectSpread(_objectSpread({}, _130), _131), _293);
  })(vesting || (vesting = _cosmos.vesting || (_cosmos.vesting = {})));
  const ClientFactory = _cosmos.ClientFactory = _objectSpread(_objectSpread({}, _328), _329);
})(cosmos || (cosmos = {}));